Bug 1605971 - python-txaio: FTBFS in Fedora rawhide
Summary: python-txaio: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-txaio
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1593133
Blocks: PYTHON37 F29FTBFS 1605604
TreeView+ depends on / blocked
 
Reported: 2018-07-20 17:50 UTC by Mohan Boddu
Modified: 2018-08-01 19:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-01 19:09:20 UTC
Type: ---


Attachments (Terms of Use)
build.log (1.14 KB, text/plain)
2018-07-20 17:50 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 17:50 UTC, Mohan Boddu
no flags Details
state.log (481 bytes, text/plain)
2018-07-20 17:50 UTC, Mohan Boddu
no flags Details
build.log (23.37 KB, text/plain)
2018-07-26 12:50 UTC, Miro Hrončok
no flags Details
root.log (83.85 KB, text/plain)
2018-07-26 12:50 UTC, Miro Hrončok
no flags Details
state.log (643 bytes, text/plain)
2018-07-26 12:51 UTC, Miro Hrončok
no flags Details


Links
System ID Priority Status Summary Last Updated
Github crossbario txaio issues 134 None None None 2018-07-22 14:35:15 UTC

Description Mohan Boddu 2018-07-20 17:50:13 UTC
python-txaio failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28225867


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix python-txaio at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-txaio will be orphaned. Before branching of Fedora 30,
python-txaio will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 17:50:21 UTC
Created attachment 1466992 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 17:50:24 UTC
Created attachment 1466993 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 17:50:26 UTC
Created attachment 1466994 [details]
state.log

Comment 4 Orion Poplawski 2018-07-22 14:35:16 UTC
Fails with python 3.7:

+ coverage3 run -p --source=txaio /usr/bin/py.test-3.7 -s
============================= test session starts ==============================
platform linux -- Python 3.7.0, pytest-3.6.3, py-1.5.4, pluggy-0.6.0
rootdir: /builddir/build/BUILD/txaio-2.10.0, inifile:
plugins: cov-2.5.1
collected 66 items / 5 errors
==================================== ERRORS ====================================
___________________ ERROR collecting test/test_as_future.py ____________________
/usr/lib/python3.7/site-packages/_pytest/python.py:469: in _importtestmodule
    mod = self.fspath.pyimport(ensuresyspath=importmode)
/usr/lib/python3.7/site-packages/py/_path/local.py:668: in pyimport
    __import__(modname)
<frozen importlib._bootstrap>:983: in _find_and_load
    ???
<frozen importlib._bootstrap>:967: in _find_and_load_unlocked
    ???
<frozen importlib._bootstrap>:668: in _load_unlocked
    ???
<frozen importlib._bootstrap>:638: in _load_backward_compatible
    ???
/usr/lib/python3.7/site-packages/_pytest/assertion/rewrite.py:226: in load_module
    py.builtin.exec_(co, mod.__dict__)
test/test_as_future.py:30: in <module>
    from util import run_once
E     File "/builddir/build/BUILD/txaio-2.10.0/test/util.py", line 60
E       def await(future):
E               ^
E   SyntaxError: invalid syntax
___________________ ERROR collecting test/test_call_later.py ___________________
/usr/lib/python3.7/site-packages/_pytest/python.py:469: in _importtestmodule
    mod = self.fspath.pyimport(ensuresyspath=importmode)
/usr/lib/python3.7/site-packages/py/_path/local.py:668: in pyimport
    __import__(modname)
<frozen importlib._bootstrap>:983: in _find_and_load
    ???
<frozen importlib._bootstrap>:967: in _find_and_load_unlocked
    ???
<frozen importlib._bootstrap>:668: in _load_unlocked
    ???
<frozen importlib._bootstrap>:638: in _load_backward_compatible
    ???
/usr/lib/python3.7/site-packages/_pytest/assertion/rewrite.py:226: in load_module
    py.builtin.exec_(co, mod.__dict__)
test/test_call_later.py:34: in <module>
    from util import run_once
E     File "/builddir/build/BUILD/txaio-2.10.0/test/util.py", line 60
E       def await(future):
E               ^
E   SyntaxError: invalid syntax
____________________ ERROR collecting test/test_callback.py ____________________
/usr/lib/python3.7/site-packages/_pytest/python.py:469: in _importtestmodule
    mod = self.fspath.pyimport(ensuresyspath=importmode)
/usr/lib/python3.7/site-packages/py/_path/local.py:668: in pyimport
    __import__(modname)
<frozen importlib._bootstrap>:983: in _find_and_load
    ???
<frozen importlib._bootstrap>:967: in _find_and_load_unlocked
    ???
<frozen importlib._bootstrap>:668: in _load_unlocked
    ???
<frozen importlib._bootstrap>:638: in _load_backward_compatible
    ???
/usr/lib/python3.7/site-packages/_pytest/assertion/rewrite.py:226: in load_module
    py.builtin.exec_(co, mod.__dict__)
test/test_callback.py:29: in <module>
    from util import run_once
E     File "/builddir/build/BUILD/txaio-2.10.0/test/util.py", line 60
E       def await(future):
E               ^
E   SyntaxError: invalid syntax
____________________ ERROR collecting test/test_errback.py _____________________
/usr/lib/python3.7/site-packages/_pytest/python.py:469: in _importtestmodule
    mod = self.fspath.pyimport(ensuresyspath=importmode)
/usr/lib/python3.7/site-packages/py/_path/local.py:668: in pyimport
    __import__(modname)
<frozen importlib._bootstrap>:983: in _find_and_load
    ???
<frozen importlib._bootstrap>:967: in _find_and_load_unlocked
    ???
<frozen importlib._bootstrap>:668: in _load_unlocked
    ???
<frozen importlib._bootstrap>:638: in _load_backward_compatible
    ???
/usr/lib/python3.7/site-packages/_pytest/assertion/rewrite.py:226: in load_module
    py.builtin.exec_(co, mod.__dict__)
test/test_errback.py:29: in <module>
    from util import run_once
E     File "/builddir/build/BUILD/txaio-2.10.0/test/util.py", line 60
E       def await(future):
E               ^
E   SyntaxError: invalid syntax
_____________________ ERROR collecting test/test_gather.py _____________________
/usr/lib/python3.7/site-packages/_pytest/python.py:469: in _importtestmodule
    mod = self.fspath.pyimport(ensuresyspath=importmode)
/usr/lib/python3.7/site-packages/py/_path/local.py:668: in pyimport
    __import__(modname)
E     File "/builddir/build/BUILD/txaio-2.10.0/test/test_gather.py", line 29
E       from util import await
E                            ^
E   SyntaxError: invalid syntax
!!!!!!!!!!!!!!!!!!! Interrupted: 5 errors during collection !!!!!!!!!!!!!!!!!!!!
=========================== 5 error in 3.93 seconds ============================

upstream issue filed.

Comment 5 Miro Hrončok 2018-07-25 09:25:44 UTC
(This is a mass bug update. Forgive me if things are not 100% accurate for this one.)

At this moment, your package still requires Python 3.6. This will cause broken upgrades to Fedora 29. Please prioritize this rebuild.

Let me know if you need help from the Python maintenance team figuring out why the package FTBFS.

Consider orphaning the package if you don't have time for it.

Consider retiring the package if upstream is dead and nothing depends on it in Fedora.

If you are blocked by other packages (I've recently tried to set the Bugzilla metadata to reflect that), consider helping there as well. Thank you.

Comment 6 Julien Enselme 2018-07-26 08:21:31 UTC
Currently the main issue is the missing deps on trollius (maintainers are progressing on that).

For the failing tests, it comes from the fact that async/await are keywords in Python 3.7. Upstream knows about this: https://github.com/crossbario/txaio/issues/134

So far, we "just" have to wait a bit for dependencies to get there and for a new release (or to temporally disable some tests).

Comment 7 Miro Hrončok 2018-07-26 08:32:34 UTC
(In reply to Julien Enselme from comment #6)
> So far, we "just" have to wait a bit for dependencies to get there and for a
> new release (or to temporally disable some tests).

If the deps are test only, I'd temporarily disabled some tests (and push a revert commit after, so temporarily != for ever). Partial tests are better than broken dependencies, especially given that this also blocks other package.

Comment 8 Julien Enselme 2018-07-26 09:15:09 UTC
The deps are required for the package to work. So I can't do much for now.

Thanks for you help by the way, it is really appreciated. I don't think I'll have time to continue on this (or any other tickets) before the week-end though.

Comment 9 Miro Hrončok 2018-07-26 12:50:27 UTC
Created attachment 1470764 [details]
build.log

Not blocked anymore, fails as already described above. Will replace attachments.

https://koji.fedoraproject.org/koji/taskinfo?taskID=28619799

Comment 10 Miro Hrončok 2018-07-26 12:50:53 UTC
Created attachment 1470766 [details]
root.log

Comment 11 Miro Hrončok 2018-07-26 12:51:14 UTC
Created attachment 1470767 [details]
state.log


Note You need to log in before you can comment on or make changes to this bug.